[arch-commits] CVS update of extra/lib/hsqldb-java (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Apr 23 12:44:21 EDT 2007


    Date: Monday, April 23, 2007 @ 12:44:21
  Author: jgc
    Path: /home/cvs-extra/extra/lib/hsqldb-java

Modified: PKGBUILD (1.1 -> 1.2)

upgpkg: hsqldb-java 1.8.0.7-2
Add license, makedepend on apache-ant, remove dependency on java environment, when you install this, it is to be used with one. Removing this will remove the java dependency from OpenOffice.org


----------+
 PKGBUILD |   15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)


Index: extra/lib/hsqldb-java/PKGBUILD
diff -u extra/lib/hsqldb-java/PKGBUILD:1.1 extra/lib/hsqldb-java/PKGBUILD:1.2
--- extra/lib/hsqldb-java/PKGBUILD:1.1	Mon Jan  1 16:37:36 2007
+++ extra/lib/hsqldb-java/PKGBUILD	Mon Apr 23 12:44:21 2007
@@ -1,14 +1,14 @@
-# $Id: PKGBUILD,v 1.1 2007/01/01 21:37:36 jgc Exp $
+# $Id: PKGBUILD,v 1.2 2007/04/23 16:44:21 jgc Exp $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
 # Contributor: Andrew Wright <andreww at photism.org>
-# Maintainer: Paul Mattal <paul at archlinux.org>
 
 pkgname=hsqldb-java
 pkgver=1.8.0.7
-pkgrel=1
+pkgrel=2
 pkgdesc="HSQLDB Java libraries"
 arch=(i686 x86_64)
-depends=('java-environment')
-makedepends=('java-gcj-compat' 'unzip')
+license=('custom')
+makedepends=('java-gcj-compat' 'unzip' 'apache-ant')
 source=(http://heanet.dl.sourceforge.net/sourceforge/hsqldb/hsqldb_${pkgver//./_}.zip)
 url="http://hsqldb.org/"
 md5sums=('d7ae87f80599e740c2590cd43341c075')
@@ -18,8 +18,11 @@
   cd ${startdir}/src/hsqldb/build
   export BOOTJAVAC_OPTS="-source 1.3 -target 1.3 -nowarn"
 
-  ant jar
+  ant jar || return 1
 
   mkdir -p ${startdir}/pkg/usr/share/java
   install -m644 ${startdir}/src/hsqldb/lib/hsqldb.jar ${startdir}/pkg/usr/share/java/
+
+  mkdir -p ${startdir}/pkg/usr/share/licenses/${pkgname}
+  install -m644 ${startdir}/src/hsqldb/doc/hsqldb_lic.txt ${startdir}/pkg/usr/share/licenses/${pkgname}/
 }




More information about the arch-commits mailing list